#!/bin/bash

#
#					A form kiirasa
#
PARAM="`logcut -d = -f 2 | logek`"
cat <<!!!
Content-type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Mi hivatkozik erre?</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<!--link rel=stylesheet href="*" type="text/css"-->
</head>
<body>

<h1>Hivatkozás kereső</h1>
A lap kikeresi és csoportosítja a magyar Wikipédia egy szócikkére hivatkozó lapokat.<p>

<FORM action="/cgi-bin/wikihivszur.cgi" method="post">
    <P>
<table style="border-width: 1; border-style: solid; padding: 10pt"><tr>
<td>Szócikk: <INPUT type="text" name="atom" style="width: 300pt" value="$PARAM"> </td>
</tr><tr style="line-height: 10pt"><td>&nbsp;</td></tr><tr>
<td colspan="5" align="center"><INPUT type="submit" value="Keres"> 
&emsp; &emsp; &emsp; &emsp; &emsp; &emsp; &emsp; &emsp; 
<INPUT type="reset" value="Törlés"></td>
</tr></table>
 </FORM>
!!!

#
#				Fuggvenyek
#
htmfv() {
if [ -s $1 ]
then	EREDM=`basename $1 .szurt`.htm
	#echo EREDDIR: $EREDDIR
	wkh_htmkonv $1 "Találati lista a $2 a <tt>$PARAM</tt> kifejezésre mutató linkekkel" "$2" >$EREDDIR/$EREDM
	#echo EREDDIR/EREDM: $EREDDIR/$EREDM
	echo "<li> <a href=\"$EREDURL/$EREDM\" target="_blank">$2</a>"
else	echo "<li> $2 (üres)"
fi
}

foprog()
{
EREDDIR=/html/htdocs/proba
EREDURL=/htdocs/proba
EREDM=`ls -d $EREDDIR/eredm[0-9]* 2>/dev/null | tail -1`
if [ -z "$EREDM" ] ; then SORSZ=0 ; else SORSZ=`basename $EREDM | sed 's/eredm//'` ; fi
SORSZ=`expr $SORSZ + 1`
SORSZ=`printf '%04d' $SORSZ`
EREDDIR=$EREDDIR/eredm$SORSZ
EREDURL=$EREDURL/eredm$SORSZ
mkdir -p $EREDDIR
#echo $EREDDIR

TMPDIR=`mktemp -d`
mkdir $TMPDIR
cd $TMPDIR
#echo akt. dir: `pwd`'<p>'

wkh_tacsi "$PARAM" >/dev/null		# eredm.wget eloallitasa. Az atiranyitas  kihuzasa jo tesztnek.
if [ ! -s eredm.wget ]
then	echo Sikertelen lekérdezés: $PARAM
	exit 1
fi
#echo '<p>'
#ls -l
#echo '<p>'
wkh_szur
LAPCIM="„$PARAM”-ra hivatkozó lapok"

cat <<!!!

<h2>$LAPCIM</h2>
<ul>
!!!

htmfv vita.szurt "...vita névterekből"
htmfv lista.szurt "...listája, ...listái című szócikkekből"
htmfv egyert.szurt "Egyértelműsítő lapról"
htmfv egyeb.szurt "Fő névtérből"
for f in [A-Z]*.szurt
do	htmfv $f "`basename $f .szurt` névtérből"
done

cat <<!!!
</ul>
</body></html>
!!!
}


#
#					A lenyeg
#
if [ ! -z "$PARAM" ]
then	foprog
fi

cat <<!!!

<p style="margin-top: 20pt"><hr style="width: 100pt">
<a href="/">Vissza a nyitó lapra</a><p>
<table><tr>
<td>Levélcím: <tt>gyimesi</tt> <i>pont</i> <tt>laszlo9</tt> <i>kukac</i> <tt>upcmail</tt> <i>pont</i> <tt>hu</tt>
</td><td style="padding-left: 20pt">
    <a href="https://validator.w3.org/check?uri=https://www.gyimesilaszlo.hu/cgi-bin/wikihivszur.cgi"><img
      src="https://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01 Transitional" height="31" width="88"></a>
</td></tr></table>
</body></html>
!!!
rm -rf $TMPDIR
